### Hierarchy

- JsonTransform
  - SignedSearchByQueryParams
    - SearchByQueryParams

## Index

### Constructors

- constructor

### Properties

- filters
- searchRequestId

### Methods

- setInterests
- toJson

## Constructors

### constructor

- new SignedSearchByQueryParams(searchRequestId: number, filters?: Map<string, Array<string>>): SignedSearchByQueryParams

- - Defined in repository/models/SignedSearchByQueryParams.ts:9

  #### Parameters

  - ##### searchRequestId: number

  - ##### Optional filters: Map<string, Array<string>>

  #### Returns SignedSearchByQueryParams

## Properties

### filters

filters: Map<string, Array<string>>

- Defined in repository/models/SignedSearchByQueryParams.ts:9

### searchRequestId

searchRequestId: number

- Defined in repository/models/SignedSearchByQueryParams.ts:8

## Methods

### setInterests

- setInterests(interests?: Array<string>): this

- - Defined in repository/models/SignedSearchByQueryParams.ts:17

  #### Parameters

  - ##### Optional interests: Array<string>

  #### Returns this

### toJson

- toJson(): object

- Overrides JsonTransform.toJson

  - Defined in repository/models/SignedSearchByQueryParams.ts:25

  #### Returns object

Generated using TypeDoc